[@rxap/material-table-system](../wiki/globals) / RowActionCheckPipe

# Class: RowActionCheckPipe\<RowType\>

Defined in: [packages/angular/material/table-system/src/lib/table-row-actions/row-action-check.pipe.ts:20](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-actions/row-action-check.pipe.ts#L20)

## Type Parameters

• **RowType** *extends* `Record`\<`string`, `unknown`\> = `Record`\<`string`, `unknown`\>

## Implements

- `PipeTransform`

## Constructors

### new RowActionCheckPipe()

> **new RowActionCheckPipe**\<`RowType`\>(`tableRowActionMethodList`): [`RowActionCheckPipe`](../wiki/Class.RowActionCheckPipe)\<`RowType`\>

Defined in: [packages/angular/material/table-system/src/lib/table-row-actions/row-action-check.pipe.ts:25](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-actions/row-action-check.pipe.ts#L25)

#### Parameters

##### tableRowActionMethodList

`null` | [`TableRowActionTypeMethod`](../wiki/TypeAlias.TableRowActionTypeMethod)\<`RowType`\> | [`TableRowActionTypeMethod`](../wiki/TypeAlias.TableRowActionTypeMethod)\<`RowType`\>[]

#### Returns

[`RowActionCheckPipe`](../wiki/Class.RowActionCheckPipe)\<`RowType`\>

## Methods

### transform()

> **transform**(`value`, `type`): `boolean`

Defined in: [packages/angular/material/table-system/src/lib/table-row-actions/row-action-check.pipe.ts:33](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-actions/row-action-check.pipe.ts#L33)

#### Parameters

##### value

`RowType` | `RowType`[]

##### type

`string`

#### Returns

`boolean`

#### Implementation of

`PipeTransform.transform`
